package com.sifang.modules.sunshine.SystemSetting.form;

import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;
import java.util.Date;

public class AddSettlementScheme implements Serializable {
    private String id;
    @NotBlank(message = "方案名称不能为空")
    private String name;
    @NotBlank(message = "生效开始时间不能为空")
    private Date createTime;
    @NotBlank(message = "生效结束时间不能为空")
    private Date cancelTime;
    @NotBlank(message = "结算方式不能为空")
    private String type;
    @NotBlank(message = "结算价（元）不能为空")
    private String amount;
    @NotBlank(message = "适用产品编号不能为空")
    private String projectIds;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(String projectIds) {
        this.projectIds = projectIds;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
}
